Package com.independentsoft.office.vml

# Class TextBox

java.lang.Object
com.independentsoft.office.vml.TextBox

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class TextBox extends Object implements IShapeElement, IVmlElement
The Class TextBox.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBox()`
  Instantiates a new text box.
  `TextBox​(InternalXMLStreamReader reader)`
  Instantiates a new text box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextBox`
  `clone()`
  `String`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getInset()`
  Gets the inset.
  `InsetMode`
  `getInsetMode()`
  Gets the inset mode.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `boolean`
  `isSingleClick()`
  Checks if is single click.
  `void`
  `setContent​(String content)`
  Sets the content.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setInset​(String inset)`
  Sets the inset.
  `void`
  `setInsetMode​(InsetMode insetMode)`
  Sets the inset mode.
  `void`
  `setSingleClick​(boolean singleClick)`
  Sets the single click.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextBox

    public TextBox()
    Instantiates a new text box.

  - ### TextBox

    public TextBox​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new text box.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public TextBox clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getInset

    public String getInset()
    Gets the inset.
    Returns:
      the inset

  - ### setInset

    public void setInset​(String inset)
    Sets the inset.
    Parameters:
      `inset` - the new inset

  - ### getInsetMode

    public InsetMode getInsetMode()
    Gets the inset mode.
    Returns:
      the inset mode

  - ### setInsetMode

    public void setInsetMode​(InsetMode insetMode)
    Sets the inset mode.
    Parameters:
      `insetMode` - the new inset mode

  - ### isSingleClick

    public boolean isSingleClick()
    Checks if is single click.
    Returns:
      true, if is single click

  - ### setSingleClick

    public void setSingleClick​(boolean singleClick)
    Sets the single click.
    Parameters:
      `singleClick` - the new single click

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getContent

    public String getContent()
    Gets the content.
    Returns:
      the content

  - ### setContent

    public void setContent​(String content)
    Sets the content.
    Parameters:
      `content` - the new content